//--------------------------------------------------------------------
//	MToolTipStringView.h from
//
//	TToolTipControls.h
//
//  Written by Robert Polic
//
//--------------------------------------------------------------------

#ifndef T_TOOL_TIP_STRING_VIEW_H
#define T_TOOL_TIP_STRING_VIEW_H

#include <StringView.h>
#include <String.h>

class MToolTipStringView : public BStringView
{
public:
						MToolTipStringView(BRect frame,
									   const char *name,
									   const char *text,
									   uint32 resizeMask = B_FOLLOW_LEFT |
														   B_FOLLOW_TOP, 
									   uint32 flags = B_WILL_DRAW |
													  B_NAVIGABLE); 
						~MToolTipStringView();
	virtual void		MouseMoved(BPoint where,
								   uint32 code,
								   const BMessage*);
private:
	bool				fIn;
	BString				fTip;
};

#endif //T_TOOL_TIP_STRING_VIEW_H
