#ifndef FILE_VIEW_H
#define FILE_VIEW_H

#include <View.h>

#include <Box.h>
#include <StringView.h>
#include <Message.h>
#include <String.h>

class FileView : public BView
{
public :
	FileView(BRect frame, const char *name, const char *label,
		const char *text, const char *type, BMessage *message = NULL);
	const char *Path() const;
private :
	virtual void MessageReceived(BMessage *message);
	
	BMessage *fMessage;
	BString fType;
	BBox *fBox;
	BStringView *fString;
};

#endif //FILE_VIEW_H