#include "MIApplication.h"
#include "MIWindow.h"
#include <Roster.h>

MIApplication::MIApplication()
	: BApplication("application/x-vnd.muramoto-Movie2Image")
{
	fToolTip = new TToolTip();
}

void MIApplication::ReadyToRun()
{
	MIWindow *window = new MIWindow();
	window->Show();
	
	return;
}

void MIApplication::MessageReceived(BMessage *msg)
{
	switch (msg->what) {
		// these messages need to be forwarded to the TToolTip class
		case B_SOME_APP_ACTIVATED:
		case eToolTipStart:
		case eToolTipStop:
			fToolTip->PostMessage(msg);
			break;
		default:
			BApplication::MessageReceived(msg);
			break;
	}
}

