#ifndef MOVIE_DECOMPOSER_H
#define MOVIE_DECOMPOSER_H

#include <Bitmap.h>
#include <SupportDefs.h>
#include <MediaDefs.h>

class MovieDecomposer
{
public :
	MovieDecomposer(entry_ref ref);
	~MovieDecomposer();
	BBitmap *GetBitmap(int64 frame);
	int64 CountFrames();
	status_t InitCheck();
private :
	status_t Init();

	BMediaFile *fMediaFile;
	BMediaTrack *fTrack;
	media_format fFormat;
	status_t fCheck;
};

#endif //MOVIE_DECOMPOSER_H